# Get payout status by transaction id Returns the payout details including status for the requested transaction_id Endpoint: GET /v1/payouts/{transaction_id} Version: 1.0.0 Security: oauth2 ## Path parameters: - `transaction_id` (string, required) ## Response 200 fields (application/json): - `payout_partner_id` (string) The id of the payout partner - `payout_method_id` (string) The id of the payout method - `transaction_id` (string, required) The id of the transaction - `external_transaction_id` (string) The external id of the transaction at the venue. - `external_request_id` (string) The external id of the request to execute the withdrawal. Ex. ODL_PAYMENT_ID or PRISMA_REQUEST_ID - `ripplenet_payment_id` (string) ripplenet_payment_id of the associated transaction - `payout_status` (string, required) Enum: "NOT_STARTED", "RETRYABLE", "PROCESSING", "DELIVERED", "DELIVERY_FAILED", "NO_INFORMATION_AVAILABLE" - `created_at` (string) Date and time at which the request for payout was created, as an ISO-8601 timestamp in UTC. - `payout_details` (object) The object that holds details of the payout including source/destination currency, beneficiary amount Example: {"beneficiary_currency":"PHP","sender_amount":234567.89,"sender_currency":"USD","fx_rate":1.47289,"beneficiary_amount":234567.89} - `payout_details.sender_currency` (string) The sender/source currency Example: "USD" - `payout_details.beneficiary_currency` (string) The beneficiary/destination currency Example: "PHP" - `payout_details.sender_amount` (number) The optional amount in sender's currency Example: 234567.89 - `payout_details.beneficiary_amount` (number) The amount in beneficiary's currency Example: 234567.89 - `payout_details.fee_amount` (number) The fee charged for this transaction Example: 2.5 - `payout_details.fee_currency` (string) The fee currency Example: "PHP" - `payout_details.fx_rate` (number) The forex currency rate used in the transaction Example: 1.47289 - `errors` (array) A list of payout errors - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) ## Response 400 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 401 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 403 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 404 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 500 fields (application/json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string)